nav {
  background: var(--menu-bg);
  border-bottom: 1px solid var(--menu-border-color);
  margin-bottom: 3rem;
  list-style: none;
  padding: 0;
  margin: 0 0 2rem 0;
}
nav ul {
  display: flex;
  flex-wrap: wrap;
  margin-left: 0;
}
nav ul li {
  display: grid;
  grid-template-columns: 1fr;
  text-align: center;
  position: relative;
  padding: 4px;
}
nav ul li a {
  display: block;
  text-decoration: none;
  color: var(--menu-font-color);
  font-size: 11pt;
  padding: 8px;
  white-space: nowrap;
  margin: 4px;
  transition: background-color 0.1s;
}
nav ul li a.dropdown::after {
  font-family: bootstrap-icons;
  font-size: 60%;
  color: var(--menu-font-color);
  content: '\00a0\00a0\F229';
}
nav ul li:hover > a {
  background: var(--menu-bg-hover);
}
nav ul li a img {
  display: block;
  width: 32px;
  margin-top: 8px;
  margin-bottom: 8px;
  margin-inline: auto;
}
nav ul li a i {
  display: block;
  font-size: 24pt;
  margin-bottom: 4px;
}
.menu-divider {
  height: 0;
  margin: 0;
  width: 100%;
  overflow: hidden;
  border-top: 1px solid rgba(0, 0, 0, 0.175);
  opacity: 1;
}
/* Submenu (floating) */
.submenu {
  display: none;
  list-style: none;
  position: absolute;
  top: 100%;
  left: 0;
  background-color: var(--submenu-bg);
  padding: 0;
  min-width: 150px;
  z-index: 100;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.2);
}
.submenu li {
  display: inline-block;
  text-align: left;
  width: 100%;
  padding: 4px;
}
.submenu li:hover > a {
  background: var(--submenu-bg-hover);
}
.menu li:hover .submenu {
  display: block;
}

/* Hamburger Menu */
.hamburger {
  display: none !important;
  cursor: pointer;
  font-size: 24px;
  color: var(--menu-font-color);
  padding: 15px;
  /* margin: 0; */
}
#menu-toggle {
  display: none;
}

@media (max-width: 800px) {
  .menu {
    display: none;
    flex-direction: column;
    width: 100%;
    background: var(--menu-bg);
  }
  #menu-toggle:checked + .menu {
    display: flex;
  }
  .hamburger {
    display: block !important;
  }
  /* Keep the submenu floating */
  .submenu {
    left: 100px;
    top: 70%;
    display: none;
  }
  .menu li:hover .submenu {
    display: block;
  }
  .menu img,
  .menu i {
    display: inline-block;
    margin: 0 8px 0 0;
  }
  .menu li {
    display: flex;
    align-items: center;
    width: 100%;
    text-align: left;
    padding: 0px;
  }
}
